[package]
name    = "ldpc"
version = "0.1.0"
edition = "2021"

[dependencies]
image = "0.24"
rand       = "0.8"
rand_distr = "0.4.3"
thiserror  = "1.0"
serde = { version = "1.0", features = ["derive"] }
bincode = "1.3"
rayon = "1.12.0"
indicatif = "0.18.4"
clap = {version = "4.6.1", features = ["derive"]}
num_cpus = "1.17.0"

[dev-dependencies]
approx = "0.5"
